%define anolis_release 2
%global __cmake_in_source_build 1

Name: libipt
Version: 2.0.5
Release: %{anolis_release}%{?dist}
Summary: Intel Processor Trace Decoder Library
License: BSD
URL: https://github.com/intel/libipt
Source0: https://github.com/intel/libipt/archive/v%{version}.tar.gz
Source1: doc-v%{version}.tar.xz
# c++ is required only for -DPTUNIT test "ptunit-cpp".
BuildRequires: gcc-c++ cmake
%if 0%{?_with_docs:1}
# pandoc is for -DMAN.
BuildRequires: pandoc
%endif
BuildRequires: make
ExclusiveArch: x86_64

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%ldconfig_scriptlets 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Requires: %{name}%{?_isa} = %{version}-%{release}
ExclusiveArch: x86_64

%description devel
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%prep
%setup -q -n libipt-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DPTUNIT:BOOL=ON \
%if 0%{?_with_docs:1}
       -DMAN:BOOL=ON \
%endif
       -DDEVBUILD:BOOL=ON \
       .
%make_build

%install
%make_install
%global develdocs howto_libipt.md
(cd doc;cp -p %{develdocs} ..)

# If not building documentation, copy the pre-generated man pages
# to the appropriate place. Otherwise, tar up the generated
# documentation for use in subsequent builds.
%if 0%{?_with_docs:1}
(cd $RPM_BUILD_ROOT%{_mandir}/..; %__tar cJf %{SOURCE1} .)
%else
mkdir -p $RPM_BUILD_ROOT%{_mandir}
(cd $RPM_BUILD_ROOT%{_mandir}/..; %__tar xJf %{SOURCE1})
%endif

%generate_compatibility_deps

%check
ctest -V %{?_smp_mflags}

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/%{name}.so.*
%{abidir}/%{name}*.dump

%files doc
%doc README

%files devel
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so
%{_mandir}/*/*.gz

%changelog
* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.5-2
- optimise spec file & add doc package

* Fri Apr 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.5-1
- Init from upstream version 2.0.5

